﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;

namespace SL_553845_YAxisCollapsedPlotAreaValues
{
    public partial class MainPage : UserControl
    {
        public List<SomeInfo> Data { get; set; }
        public MainPage()
        {
            InitializeComponent();
            Data = new List<SomeInfo>();
            Random r = new Random();

            for (int i = 0; i < 50; i++)
            {
                Data.Add(new SomeInfo(i, r.Next(0, 100)));
            }
            
            radChart.ItemsSource = Data;
            radChart.DefaultView.ChartArea.PlotAreaMouseLeftButtonUp += new EventHandler<PlotAreaMouseEventArgs>(ChartArea_PlotAreaMouseLeftButtonUp);
            radChart.DefaultView.ChartArea.PlotAreaMouseLeftButtonDown += new EventHandler<PlotAreaMouseEventArgs>(ChartArea_PlotAreaMouseLeftButtonDown);
        }

        void ChartArea_PlotAreaMouseLeftButtonDown(object sender, PlotAreaMouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        void ChartArea_PlotAreaMouseLeftButtonUp(object sender, PlotAreaMouseEventArgs e)
        {
            throw new NotImplementedException();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (radChart.DefaultView.ChartArea.AxisY.Visibility == System.Windows.Visibility.Visible)
            {
                radChart.DefaultView.ChartArea.AxisY.Visibility = System.Windows.Visibility.Collapsed;
            }
            else
                radChart.DefaultView.ChartArea.AxisY.Visibility = System.Windows.Visibility.Visible;
        }
    }
    public class SomeInfo
    {
        public int XVal { get; set; }
        public int YVal { get; set; }

        public SomeInfo(int x, int y)
        {
            this.XVal = x;
            this.YVal = y;
        }
    }
}
